Back

hydrogen-sanity@4.0.4

Failing

View npm
pnpm install --resolution-only
WARN Issues with peer dependencies found
.
├─┬ @shopify/hydrogen 2024.4.7
├── ✕ unmet peer react@^18.2.0: found 19.0.0-rc-fb9a90fa48-20240614
├─┬ use-resize-observer 9.1.0
│ ├── ✕ unmet peer react@"16.8.0 - 18": found 19.0.0-rc-fb9a90fa48-20240614
│ └── ✕ unmet peer react-dom@"16.8.0 - 18": found 19.0.0-rc-fb9a90fa48-20240614
└─┬ @shopify/hydrogen-react 2024.4.4
├── ✕ unmet peer react@^18.0.0: found 19.0.0-rc-fb9a90fa48-20240614
├── ✕ unmet peer react-dom@^18.0.0: found 19.0.0-rc-fb9a90fa48-20240614
└─┬ @xstate/react 3.2.2
├── ✕ unmet peer react@"^16.8.0 || ^17.0.0 || ^18.0.0": found 19.0.0-rc-fb9a90fa48-20240614
├─┬ use-isomorphic-layout-effect 1.1.2
│ └── ✕ unmet peer react@"^16.8.0 || ^17.0.0 || ^18.0.0": found 19.0.0-rc-fb9a90fa48-20240614
└─┬ use-sync-external-store 1.2.2
└── ✕ unmet peer react@"^16.8.0 || ^17.0.0 || ^18.0.0": found 19.0.0-rc-fb9a90fa48-20240614
├─┬ @remix-run/react 2.10.2
├── ✕ unmet peer react@^18.0.0: found 19.0.0-rc-fb9a90fa48-20240614
└── ✕ unmet peer react-dom@^18.0.0: found 19.0.0-rc-fb9a90fa48-20240614
└─┬ hydrogen-sanity 4.0.4
├── ✕ unmet peer react@^18.0.0: found 19.0.0-rc-fb9a90fa48-20240614
└── ✕ unmet peer react-dom@^18.0.0: found 19.0.0-rc-fb9a90fa48-20240614
package.json
{
"dependencies": {
"hydrogen-sanity": "4.0.4",
"react": ">=19.0.0-rc",
"react-dom": ">=19.0.0-rc"
},
"packageManager": "pnpm@9.5.0"
}